import { Mark } from 'tiptap'
import { toggleMark } from 'tiptap-commands'

export default class SuperscriptStyle extends Mark {

    get name() {
        return 'superscriptstyle'
    }

    get schema() {
        return {
            parseDOM: [
                {
                    tag: 'sup',
                },
            ],
            toDOM: () => ['sup', 0],
        }


    }

    commands({ type }) {
        return () => toggleMark(type)
    }

}
